echo off

echo "Update S7000FC4UR BMC flash using FWPIAUPD utility"
.\WinPEUtils_x86\FWPIAUPD\Devicesetup.exe -v remove *IPI0001
.\WinPEUtils_x86\FWPIAUPD\DeviceSetup.exe install .\WinPEUtils_x86\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x86\FWPIAUPD\fwpiaupd -u -o -b -pia -ni -p FCBMC23.hex

echo "Update S7000FC4UR FRUSDR using FRUSDR utility"
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\imbdrv.inf *IMBDRV
.\WinPEUtils_x86\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x86\FRUSDR\ibsmutil.inf *IntelUtilDeV 
.\WinPEUtils_x86\FRUSDR\frusdr -cfg MASTER.CFG

echo "Update S7000FC4UR BIOS"
.\WinPEUtils_x86\IFlash32\DeviceSetup.exe -v install .\WinPEUtils_x86\IFlash32\flashud.inf *INT0800
pushd .
cd .\WinPEUtils_x86\IFlash32\
.\iflash32 /u ..\..\FXCV0033.cap /ni
popd

echo "Updates completed. Please reboot using the front panel button."

echo on